Anonymous Login
2019-04-21 15:21 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000179v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:43
Reportercaseydk 
Assigned Topedroa 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0000179: Create a hook_search
DescriptionBuild out the hook_search system to replace the "searchobjects" structure within the Smartsearch.

The resulting hook_search on each of the objects will assist in the planned search-suggestion on the dropdown/lookup pages.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000345

caseydk (administrator)

Last edited: 2009-08-27 23:01

I'd like some feedback on this item. At present, all the search objects are included in the SmartSearch module. Although this does work fine, it creates a dependency whenever a new module is added.

Someone needs to know to:
a) create the proper search object and
b) place it within the SmartSearch module properly.

Given how modules are currently installed, this is annoying at minimum and problematic and convoluted at worst.

I *think* this could be implemented similar to the hook_calendar and hook_cron where each object defines how it should be searched... and they're all tied together through a "Searchable" interface that any class can implement.

Thoughts?

~0000401

caseydk (administrator)

Implemented the first version of this one. Added to the smartsearch to use module-based hook_search methods if they exist.

Each module can now implement its own *basic* search without modifying any core module. Advanced search still has to be implemented.

~0000402

caseydk (administrator)

Converted the Projects class to use the new hook_search as a public proof of concept in r593;

Implemented this as a demo for an internal modules... other AddOn modules can do the same;
+Notes

-Issue History
Date Modified Username Field Change
2009-06-07 21:22 caseydk New Issue
2009-07-09 03:43 caseydk Status new => assigned
2009-07-09 03:43 caseydk Assigned To => caseydk
2009-07-20 15:35 caseydk Note Added: 0000345
2009-07-20 15:35 caseydk Assigned To caseydk => pedroa
2009-07-20 15:35 caseydk Status assigned => feedback
2009-08-03 04:08 caseydk Project v1.1 Release (Closed) => Pending Requests
2009-08-27 23:01 caseydk Note Edited: 0000345
2009-08-28 00:08 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-08-28 00:15 caseydk Note Added: 0000401
2009-08-30 16:03 caseydk Status feedback => resolved
2009-08-30 16:03 caseydk Resolution open => fixed
2009-08-30 16:03 caseydk Note Added: 0000402
2009-09-09 22:43 caseydk Status resolved => closed
2009-09-09 22:43 caseydk Fixed in Version => 1.1
+Issue History